### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XUartNs550_Config Struct Reference

## Detailed Description

This typedef contains configuration information for the device.

## Data Fields

u16 | DeviceId
u32 | BaseAddress
u32 | InputClockHz
u32 | DefaultBaudRate

## Field Documentation

u32 XUartNs550_Config::BaseAddress

| Base address of device

u32 XUartNs550_Config::DefaultBaudRate

| Baud Rate in bps, ie 1200

u16 XUartNs550_Config::DeviceId

| Unique ID of device

u32 XUartNs550_Config::InputClockHz

| Input clock frequency

The documentation for this struct was generated from the following file:

- xuartns550.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.